-- 对标方案
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EBA_BENCHMARK_SCHEMA')
 CREATE TABLE T_EBA_BENCHMARK_SCHEMA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FACCOUNT_ORGANIZATION BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNT_TABLE BIGINT DEFAULT 0 NOT NULL,
FPERIOD_TYPE BIGINT DEFAULT 0 NOT NULL,
FBOOK_TYPE BIGINT DEFAULT 0 NOT NULL,
FBENCHMARK_COMPANY BIGINT DEFAULT 0 NOT NULL,
FVIEWID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EBA_BENCHMARK_SCHEMA_L')
 CREATE TABLE T_EBA_BENCHMARK_SCHEMA_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

-- 对标方案-对标范围
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EBA_MARK_SCHEMA_DETAIL')
 CREATE TABLE T_EBA_MARK_SCHEMA_DETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEVIATION_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJUDGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERCENTAGE_OR_VALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE DECIMAL(19,2) DEFAULT 0.0 NOT NULL,
FICON_REGION CHAR(1) DEFAULT ' ' NOT NULL,
FINDICATOR BIGINT DEFAULT 0 NOT NULL
);
